1

[alpine-devel] [PATCH 4/5] Initial APKBUILD for libsodium into /testing

IT Offshore
Details
Message ID
<1384077540-7914-5-git-send-email-developer@it-offshore.co.uk>
Sender timestamp
1384077539
DKIM signature
missing
Download raw message
Patch: +40 -0
libsodium / libsodium-dev - dependency for dnscrypt-proxy

Revised complete patch which no longer runs ldconfig.
---
 testing/libsodium/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/libsodium/APKBUILD

diff --git a/testing/libsodium/APKBUILD b/testing/libsodium/APKBUILD
new file mode 100644
index 0000000..1a41ca6
--- /dev/null
+++ b/testing/libsodium/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: IT Offshore <developer@it-offshore.co.uk>
+# Maintainer:
+pkgname=libsodium
+pkgver=0.4.5
+pkgrel=0
+pkgdesc="P(ortable|ackageable) NaCl-based crypto library"
+url="https://github.com/jedisct1/libsodium"
+arch="all"
+license="custom:ISC"
+depends="libc"
+options="libtool"
+install="$pkgname.post-install"
+subpackages="$pkgname-dev"
+source="https://github.com/jedisct1/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+        cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                || return 1
+        make || return 1
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  make check
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="3a97d2c29ec0133e334036e3f19d0741  libsodium-0.4.5.tar.gz"
+sha256sums="7ad5202df53eeac0eb29b064ae5d05b65d82b2fc1c082899c9c6a09b0ee1ac32  libsodium-0.4.5.tar.gz"
+sha512sums="6105bb91982e040420312f042bb71547f0208ed9b2928b1740a68134b82dd4566f18c0761b8959a85d13b6770edbd977d989bc74eabc9bfa5e0000f5ab5c7b32  libsodium-0.4.5.tar.gz"
-- 
1.8.4.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20131115163831.287c7ee5@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1384077540-7914-5-git-send-email-developer@it-offshore.co.uk> (view parent)
Sender timestamp
1384529911
DKIM signature
missing
Download raw message
On Sun, 10 Nov 2013 09:58:59 +0000
IT Offshore <developer@it-offshore.co.uk> wrote:

> libsodium / libsodium-dev - dependency for dnscrypt-proxy
> 
> Revised complete patch which no longer runs ldconfig.
> ---
>  testing/libsodium/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 40 insertions(+)
>  create mode 100644 testing/libsodium/APKBUILD
> 
> diff --git a/testing/libsodium/APKBUILD b/testing/libsodium/APKBUILD
> new file mode 100644
> index 0000000..1a41ca6
> --- /dev/null
> +++ b/testing/libsodium/APKBUILD
> @@ -0,0 +1,40 @@
> +# Contributor: IT Offshore <developer@it-offshore.co.uk>
> +# Maintainer:
> +pkgname=libsodium
> +pkgver=0.4.5
> +pkgrel=0
> +pkgdesc="P(ortable|ackageable) NaCl-based crypto library"
> +url="https://github.com/jedisct1/libsodium"
> +arch="all"
> +license="custom:ISC"
> +depends="libc"

depends=libs not needed. abuild handles elf dependencies automatically.

> +options="libtool"

I assume you did this for getting rid ot the *.la error. We should
remove the .la files instead.

> +install="$pkgname.post-install"

This file was missing.


> +subpackages="$pkgname-dev"
> +source="https://github.com/jedisct1/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
> +
> +_builddir="$srcdir"/$pkgname-$pkgver
> +
> +build() {
> +        cd "$_builddir"
> +	./configure \
> +                --build=$CBUILD \
> +                --host=$CHOST \
> +                --prefix=/usr \
> +                || return 1
> +        make || return 1
> +}
> +
> +check() {
> +  cd "$pkgname-$pkgver"
> +  make check
> +}

we don't really have infrastructure for make check, but maybe we will at
some point so i let this stay. (its pretty nice to be able to do 'abuild check')

I fixed the mentioned issues and applied. Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---